<?php

namespace app\admin\model\family;

use think\Model;


class FamilyTreeMate extends Model
{

    

    

    // 表名
    protected $name = 'family_tree_mate';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = false;
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'sex_text'
    ];
    

    
    public function getSexList()
    {
        return ['0' => __('Sex 0'), '1' => __('Sex 1'), '2' => __('Sex 2')];
    }


    public function getSexTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['sex']) ? $data['sex'] : '');
        $list = $this->getSexList();
        return isset($list[$value]) ? $list[$value] : '';
    }

    public function users(){
        return self::hasOne("\app\admin\model\User",'id',"create_user_id");
    }


    public function familyTreeName($where){
        return self::alias("ftm")
            ->join("family_tree ft","FIND_IN_SET(ft.id,ftm.family_tree_id)","LEFT")
            ->field("ft.name")
            ->where($where)
            ->select();

    }
}
